<?php
// $Id: node.tags.inc,v 1.1.2.1 2007/04/11 20:48:39 profix898 Exp $

function _reptag_node_init($node) {
  return array(
  
    "#{NID}#"               => $node->nid,
    "#{VID}#"               => $node->vid,
    "#{VNAME}#"             => _reptag_node_get_vname($node->vid),
    "#{CREATED}#"           => format_date($node->created, 'small'),
    "#{CHANGED}#"           => format_date($node->changed, 'small'),
    "#{REVISION}#"          => format_date($node->revision_timestamp, 'small'),
    "#{TITLE}#"             => $node->title,
    "#{AUTHOR}#"            => $node->name
    
  );
}

function _reptag_node_info() {
  return array(t('Node Info (NID, CREATED, AUTHOR, ...)'), TRUE);
}

function _reptag_node_help() {
  return array(
  
    "{NID}"               => "73",
    "{VID}"               => "2",
    "{VNAME}"             => "vocabulary of current node",
    "{CREATED}"           => format_date('1130530021', 'small'),
    "{CHANGED}"           => format_date('1140040286', 'small'),
    "{REVISION}"          => format_date('1140040286', 'small'),
    "{TITLE}"             => "title of current node",
    "{AUTHOR}"            => "author of current node"
  
  );
}

function _reptag_node_get_vname($vid) {
  $result = db_query("SELECT name FROM {vocabulary} WHERE vid = '%d'", $vid);
  $var = db_fetch_object($result);
  
  return $var->name ? $var->name : '';
}

?>
